javax.mail

## Annotation Type MailSessionDefinition

-     @Target(value=TYPE)
      @Retention(value=RUNTIME)
      public @interface MailSessionDefinition

  Annotation used by Java EE applications to define a `MailSession` to be registered with JNDI. The `MailSession` may be configured by setting the annotation elements for commonly used `Session` properties. Additional standard and vendor-specific properties may be specified using the `properties` element.

  The session will be registered under the name specified in the `name` element. It may be defined to be in any valid `Java EE` namespace, and will determine the accessibility of the session from other components.

  Since:
    JavaMail 1.5

- - ### Required Element Summary

    Required Elements
    Modifier and Type | Required Element and Description
    --- | ---
    `String` | `name` JNDI name by which the mail session will be registered.

  - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `String` | `description` Description of this mail session.
    `String` | `from` From address for the user.
    `String` | `host` Host name for the mail server.
    `String` | `password` Password to use for authentication.
    `String[]` | `properties` Properties to include in the Session.
    `String` | `storeProtocol` Store protocol name.
    `String` | `transportProtocol` Transport protocol name.
    `String` | `user` User name to use for authentication.

- - ### Element Detail

    - #### name

          public abstract String name

      JNDI name by which the mail session will be registered.
      Returns:
        the JNDI name

    - #### description

          public abstract String description

      Description of this mail session.
      Returns:
        the description
      Default:
        ""

    - #### storeProtocol

          public abstract String storeProtocol

      Store protocol name.
      Returns:
        the store protocol name
      Default:
        ""

    - #### transportProtocol

          public abstract String transportProtocol

      Transport protocol name.
      Returns:
        the transport protocol name
      Default:
        ""

    - #### host

          public abstract String host

      Host name for the mail server.
      Returns:
        the host name
      Default:
        ""

    - #### user

          public abstract String user

      User name to use for authentication.
      Returns:
        the user name
      Default:
        ""

    - #### password

          public abstract String password

      Password to use for authentication.
      Returns:
        the password
      Default:
        ""

    - #### from

          public abstract String from

      From address for the user.
      Returns:
        the from address
      Default:
        ""

    - #### properties

          public abstract String[] properties

      Properties to include in the Session. Properties are specified using the format: propertyName=propertyValue with one property per array element.
      Returns:
        the properties
      Default:
        {}

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.